<?php
if (!isset($_SESSION))
{
	session_start();
}
$notel = "ja";
$soort_layout = "clear";
require_once('header.php');
echo "<h1>Account activeren</h1>";
if(ISSET($_GET['code']))
{
	if(ISSET($_GET['action']))
	{
		error_reporting(0);
   		$bestaat_mss = halen("SELECT member FROM reg_codes WHERE code='".$_GET['code']."';");
	   	error_reporting(E_ALL);
	   	if($bestaat_mss != "")
	   	{
		   	if($_GET['action'] == "yes")
		   	{
			   	mysql_query("UPDATE members SET activated='ja' WHERE naam='".$bestaat_mss."';");
		   		mysql_query("DELETE FROM reg_codes WHERE member='".$bestaat_mss."';");
		   		echo "Uw account <b>".$bestaat_mss."</b> is geactiveerd.";
	   		}
		   	if($_GET['action'] == "no")
		   	{
			   	mysql_query("DELETE FROM members WHERE naam='".$bestaat_mss."';");
		   		mysql_query("DELETE FROM reg_codes WHERE member='".$bestaat_mss."';");
		   		mysql_query("DELETE FROM favorites WHERE member='".$bestaat_mss."';");
		   		mysql_query("DELETE FROM items WHERE eigenaar='".$bestaat_mss."';");
		   		mysql_query("DELETE FROM kamers WHERE eigenaar='".$bestaat_mss."';");
		   		mysql_query("DELETE FROM lotto WHERE naam='".$bestaat_mss."';");
				mysql_query("DELETE FROM members WHERE naam='".$bestaat_mss."';");
		   		echo "Het account dat niet van u was is verwijderd.<br>U emailadres is op geen enkele manier meer opgeslagen in onze database.";
	   		}	
		}
		else
		{
			echo "<b>Deze activatiecode is ongeldig of dit account is reeds geactiveerd met een code.</b>";
		}
	}
	else
	{
		echo "Uw link bevat geen registratiemanier.";
	}
}
else
{
	echo "Uw link bevat geen activatiecode.";
}
require_once('footer.php');
?>